This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 798127

Summary: clearing posix locks failed with auth.allow set
Product: [Community] GlusterFS Reporter: Shwetha Panduranga <shwetha.h.panduranga>
Component: glusterdAssignee: krishnan parthasarathi <kparthas>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: unspecified    
Version: mainlineCC: gluster-bugs, nsathyan, vbellur
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: glusterfs-3.4.0 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-24 13:59:44 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 817967    

Description Shwetha Panduranga 2012-02-28 01:25:04 EST
Description of problem:
Clearing posix locks failed when auth.allow was set to ip_address of client node. 

Version-Release number of selected component (if applicable):
mainline

How reproducible:
often

Steps to Reproduce:
1.gluster volume create <vol_name> <brick> on node1
2.gluster volume set <vol_name> auth.allow <client_node_ip_address>
3.gluster volume start <vol_name>
4.mount -t nfs -o vers=3 node1:/<vol_name> <mount_point1> from client node
5.mount -t glusterfs  node1:/<vol_name> <mount_point2> from client node
6.start "dd if=/dev/urandom of=file1 bs=1M count=1024" from gluster mount
7. start "ping_pong -rw file1" from nfs mount
8. gluster volume clear-locks <vol_name> /file1 kind all posix

Actual results:
Volume clear-locks unsuccessful
clear-locks getxattr command failed. Reason: Transport endpoint is not connected


Expected results:
Volume clear-locks successful

Additional info:

[2012-02-28 17:04:33.291663] I [glusterd-handler.c:2675:glusterd_handle_cli_clearlocks_volume] 0-management: Received clear-locks volume req for volume dist
[2012-02-28 17:04:33.291794] I [glusterd-utils.c:267:glusterd_lock] 0-glusterd: Cluster lock held by 92960f5e-3e34-4a21-879a-f7e5a4fb27ee
[2012-02-28 17:04:33.291829] I [glusterd-handler.c:453:glusterd_op_txn_begin] 0-management: Acquired local lock
[2012-02-28 17:04:33.291952] I [glusterd-op-sm.c:1725:glusterd_op_ac_send_stage_op] 0-glusterd: Sent op req to 0 peers
[2012-02-28 17:04:33.292032] I [glusterd-volume-ops.c:1785:glusterd_op_clearlocks_volume] 0-management: Received clear-locks request for volume dist with kind all type posix and options (null)
[2012-02-28 17:04:33.319788] E [glusterd-volume-ops.c:1836:glusterd_op_clearlocks_volume] 0-management: clear-locks getxattr command failed. Reason: Transport endpoint is not connected
[2012-02-28 17:04:33.326134] E [glusterd-op-sm.c:1808:glusterd_op_ac_send_commit_op] 0-: Commit failed
Comment 1 Anand Avati 2012-03-01 02:26:37 EST
CHANGE: http://review.gluster.com/2846 (glusterd: Changed clear-locks cmd to use trusted-volfile for its internal mount) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Shwetha Panduranga 2012-05-04 03:03:47 EDT
Bug is fixed . verified on 3.3.0qa39